import { Command } from '@oclif/core';
import { FileResponse } from '@salesforce/source-deploy-retrieve';
export declare type TestResults = {
    passing: number;
    failing: number;
    total: number;
    time?: number;
};
export declare type DeployMetadataResult = {
    files: FileResponse[];
    tests?: TestResults;
};
export default class DeployMetadata extends Command {
    static readonly description: string;
    static readonly summary: string;
    static readonly examples: string[];
    static flags: {
        metadata: import("@oclif/core/lib/interfaces").OptionFlag<string[]>;
        manifest: import("@oclif/core/lib/interfaces").OptionFlag<string>;
        'source-dir': import("@oclif/core/lib/interfaces").OptionFlag<string[]>;
        'target-org': import("@oclif/core/lib/interfaces").OptionFlag<string>;
        'test-level': import("@oclif/core/lib/interfaces").OptionFlag<string>;
        wait: import("@oclif/core/lib/interfaces").OptionFlag<number>;
    };
    run(): Promise<DeployMetadataResult>;
    private setExitCode;
    private getTestResults;
}
